cassandart 0.1.0

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 48

Cassandra database client in Dart

Under construction to implement wire protocol v4.

0.1.0

  • BREAKING CHANGES:

    • PageRows implements Page<Row> from package:page.
    • CassandraClient.close removed, only CassandraPool needs it.
    • Renamed CassandraClient -> Client.
    • Renamed CassandraPool -> Cluster and updated connect.
    • Renamed DataClass -> RawType, DataType -> Type, TypedValue -> Value.
    • Renamed RowsPage -> ResultPage.
  • Query result pagination.

0.0.1

  • Basic client.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  cassandart: ^0.1.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:cassandart/cassandart.dart';
  
Version Uploaded Documentation Archive
0.1.0 Dec 14, 2018 Go to the documentation of cassandart 0.1.0 Download cassandart 0.1.0 archive
0.0.1 Dec 13, 2018 Go to the documentation of cassandart 0.0.1 Download cassandart 0.0.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
90
Overall:
Weighted score of the above. [more]
48
Learn more about scoring.

We analyzed this package on Jan 15, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.10

Platforms

Detected platforms: Flutter, other

Primary library: package:cassandart/cassandart.dart with components: io.

Maintenance suggestions

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use cassandart.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0 <3.0.0
buffer ^1.0.0 1.0.5+1
meta ^1.0.0 1.1.7
page ^1.0.0 1.1.0
Dev dependencies
test ^1.0.0